> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Custom Status

> Update a custom status. Permission required: `manage-user-status`

### Changelog
| Version      | Description | 
| ---------------- | ------------|
|2.4.0            | Added       |

## OpenAPI

````json POST /api/v1/custom-user-status.update
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Content Management"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Assets"
    },
    {
      "name": "Custom Emoji"
    },
    {
      "name": "Custom Sounds"
    },
    {
      "name": "Custom User Status"
    }
  ],
  "paths": {
    "/api/v1/custom-user-status.update": {
      "post": {
        "tags": [
          "Custom User Status"
        ],
        "summary": "Update Custom Status",
        "description": "Update a custom status. Permission required: `manage-user-status`\n\n### Changelog\n| Version      | Description | \n| ---------------- | ------------|\n|2.4.0            | Added       |",
        "operationId": "post-api-v1-custom-user-status.update",
        "parameters": [
          {
            "$ref": "#/components/parameters/Auth-Token"
          },
          {
            "$ref": "#/components/parameters/UserId"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "_id": {
                    "type": "string",
                    "description": "The `_id` of the custom status."
                  },
                  "name": {
                    "type": "string",
                    "description": "The updated name of the custom status."
                  },
                  "statusType": {
                    "type": "string",
                    "description": "The updated `statusType` of the custom status"
                  }
                },
                "required": [
                  "_id",
                  "name",
                  "statusType"
                ]
              },
              "examples": {
                "Example": {
                  "value": {
                    "_id": "65462e97a2f73c7460e18f84",
                    "name": "caught up again",
                    "statusType": "busy"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "customUserStatus": {
                      "type": "object",
                      "properties": {
                        "_id": {
                          "type": "string"
                        },
                        "name": {
                          "type": "string"
                        },
                        "statusType": {
                          "type": "string"
                        },
                        "_updatedAt": {
                          "type": "string"
                        }
                      }
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Success Example": {
                    "value": {
                      "customUserStatus": {
                        "_id": "65462e97a2f73c7460e18f84",
                        "name": "caught up again",
                        "statusType": "busy",
                        "_updatedAt": "2023-11-04T11:51:28.353Z"
                      },
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "User status not found": {
                    "value": {
                      "success": "false",
                      "error": "No custom user status found with the id of \"SeZHHb77QXWRbnDh\"."
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "description": "The `authToken` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
      },
      "UserId": {
        "name": "X-User-Id",
        "in": "header",
        "description": "The `userId` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "rbAXPnMktTFbNpwtJ"
      }
    },
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    }
  }
}
````

